package com.red.circle.common.business.enums;

/**
 * @author pengliang on 2020/12/17
 */
@Deprecated
public enum RoomTagEnum {
  /**
   * 游戏
   */
  GAME(appendI18nKey("GAME")),

  /**
   * 交友
   */
  MAKE_FRIENDS(appendI18nKey("MAKE_FRIENDS")),

  /**
   * 私密
   */
  PRIVATE(appendI18nKey("PRIVATE")),

  /**
   * 音乐
   */
  MUSIC(appendI18nKey("MUSIC")),

  /**
   * 感情
   */
  EMOTION(appendI18nKey("EMOTION")),

  /**
   * 娱乐
   */
  RECREATION(appendI18nKey("RECREATION")),

  /**
   * 八卦
   */
  GOSSIP(appendI18nKey("GOSSIP")),

  /**
   * 聚会
   */
  GET_TOGETHER(appendI18nKey("GET_TOGETHER")),

  /**
   * 足球
   */
  FOOTBALL(appendI18nKey("FOOTBALL")),

  /**
   * 体育
   */
  SPORTS(appendI18nKey("SPORTS")),

  /**
   * 聊天
   */
  CHAT(appendI18nKey("CHAT"));

  private final String i18nKey;

  RoomTagEnum(String i18nKey) {
    this.i18nKey = i18nKey;
  }

  private static String appendI18nKey(String tag) {
    return "tim.chat.tag.".concat(tag);
  }

  public String getI18nKey() {
    return i18nKey;
  }

  public static String getI18nKey(String roomTag) {
    try {
      return RoomTagEnum.valueOf(roomTag).getI18nKey();
    } catch (Exception ignore) {
      // ignore
    }
    return "";
  }

  public static String valueOfString(String roomTag) {
    try {
      return RoomTagEnum.valueOf(roomTag).name();
    } catch (Exception ignore) {
      // ignore
    }
    return "";
  }

}
